Download all entities in a single entity type.
Note: No multi entity support.
HTTP Method
POST
Endpoint
/api/data/download/csv
Request URL
{Base URL}/api/data/download/csv
Sample Request
{
"Meta": {},
"Nodes": [
{
"Id": "Node0",
"Queries": [
{
"Name": "Investigation"
}
],
"FilterByTeam": false
}
]
}
Parameters
| Param Name | Data Type | Description |
|---|---|---|
Name | String | Name of the entity type (for example, Investigation). |
Missing or invalid credentials returns an error.
Curl Example
Multi-line format (for readability):
curl --header "Accept-Language: en" \
--http1.1 \
--insecure \
--verbose \
--ntlm \
--user "device-name1\jdoe:P@ssw0rd" \
-X POST \
"https://hubstreamproduction.hubstreamonline.com/api/data/download/csv" \
-H "Content-Type: application/json" \
-d '{
"Meta": {},
"Nodes": [
{
"Id": "Node0",
"Queries": [
{
"Name": "Investigation"
}
],
"FilterByTeam": false
}
]
}'
Single-line format (for terminal use):
curl --header "Accept-Language: en" --http1.1 --insecure --verbose --ntlm --user "device-name1\jdoe:P@ssw0rd" -X POST "https://hubstreamproduction.hubstreamonline.com/api/data/download/csv" -H "Content-Type: application/json" -d "{\"Meta\":{},\"Nodes\":[{\"Id\":\"Node0\",\"Queries\":[{\"Name\":\"Investigation\"}],\"FilterByTeam\":false}]}"
Sample Responses
Status code 2XX indicates a successful request and response.
200 OK
Description: Operation succeeded
Response: The requested entities are returned as a CSV file download.